Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1483959 (CVE-2017-12678) - CVE-2017-12678 taglib: Incorrect cast in rebuildAggregateFrames function
Summary: CVE-2017-12678 taglib: Incorrect cast in rebuildAggregateFrames function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12678
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1483960 1483961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 11:37 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:21:55 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-22 11:37:03 UTC
In TagLib 1.11.1, the rebuildAggregateFrames function in
id3v2framefactory.cpp has a pointer to cast vulnerability, which allows
remote attackers to cause a denial of service or possibly have
unspecified other impact via a crafted audio file.

Upstream patch:

https://github.com/taglib/taglib/pull/831/commits/eb9ded1206f18f2c319157337edea2533a40bea6

Comment 1 Adam Mariš 2017-08-22 11:37:45 UTC
Created mingw-taglib tracking bugs for this issue:

Affects: fedora-all [bug 1483961]


Created taglib tracking bugs for this issue:

Affects: fedora-all [bug 1483960]


Note You need to log in before you can comment on or make changes to this bug.